<template>
    <div>
        <q-banner v-for="(e,i) in errors" :key="i" dense class="bg-red text-white">
            <template v-slot:avatar>
                <q-icon name="icofont-warning"/>
            </template>
            {{ e }}
        </q-banner>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';


@Component
export default class ErrorBanner extends Vue {
    @Prop() errors!: string[];

}
</script>
